<?php

namespace AutoAdmin\Bundle\Content\Controller;

use AutoAdmin\Bundle\Content\Configuration\ConfigManager;
use AutoAdmin\Bundle\Content\Context\ContentContext;
use Doctrine\ORM\EntityManagerInterface;

interface ContentControllerInterface
{
    public function setContentContext(ContentContext $contentContext);

    public function setConfigManager(ConfigManager $config);

    public function setEntityManager(EntityManagerInterface $entityManager);

    public function getTemplate(string $slugOrObject, $action = 'view');

    public function getGlobalTemplate(string $key);

    public function isTranslated($class);
}